# FLAC__StreamMetadata_SeekPoint Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Detailed Description

SeekPoint structure used in SEEKTABLE blocks. (c.f. format specification)

## Public Attributes

FLAC__uint64 | sample_number
FLAC__uint64 | stream_offset
unsigned | frame_samples

## Member Data Documentation

FLAC__uint64 FLAC__StreamMetadata_SeekPoint::sample_number

| The sample number of the target frame.

FLAC__uint64 FLAC__StreamMetadata_SeekPoint::stream_offset

| The offset, in bytes, of the target frame with respect to beginning of the first frame.

unsigned FLAC__StreamMetadata_SeekPoint::frame_samples

| The number of samples in the target frame.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |